Carrier services
Service levels offered by a carrier.
The object#
| Field | Type | Description |
|---|---|---|
| idread-only | integer | NolaPro id. |
| carrierid | integer | Reference to carriers, by id. Write either this or carrier. |
| carrier | string(100) | Code for the referenced carrier, instead of the id. |
| description | string(50) | Name of the shipping method shown on documents and pickers. |
| abbreviation | string(50) | Short abbreviation of the shipping method. |
| sortorder | integer | Display order. Lower sorts first. |
| not_on_b2b | integer | 1 hides the shipping method from the B2B portal. |
| onquote | integer | 1 hides the shipping method from quote entry (the screen option is named Do Not Show On Quote Entry). |
| box1_chargemoney | string(5dp) | Stored as decimal(19,5). |
| box_addlmoney | string(5dp) | Stored as decimal(19,5). |
| require_shippernum | integer | 1 requires the customer’s shipper (carrier account) number when this method is chosen. |
| showvalue | integer | 1 prints the order value on the order ticket for this method. |
| code | string(10) | Carrier’s own service code, used when rating and labeling through the carrier API. |
| methodmarkupflatmoney | string(4dp) | Stored as decimal(12,4). |
| saturdaydelivery | string(1) | Y when the service delivers on Saturday. |
| allowonpointofsaleorders | boolean | True offers the shipping method on Point of Sale orders. |
| externalid | string(100) | Your own key. Scoped to your company. |
Endpoints#
POST/carrierservices/batch
207
Create many.
Requires scope setup:write.
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
Body array
| Field | Type | Description |
|---|---|---|
| description | string(50) | Name of the shipping method shown on documents and pickers. |
| abbreviation | string(50) | Short abbreviation of the shipping method. |
| sortorder | integer | Display order. Lower sorts first. |
| not_on_b2b | integer | 1 hides the shipping method from the B2B portal. |
| onquote | integer | 1 hides the shipping method from quote entry (the screen option is named Do Not Show On Quote Entry). |
| box1_chargemoney | string(5dp) | Stored as decimal(19,5). |
| box_addlmoney | string(5dp) | Stored as decimal(19,5). |
| require_shippernum | integer | 1 requires the customer’s shipper (carrier account) number when this method is chosen. |
| showvalue | integer | 1 prints the order value on the order ticket for this method. |
| code | string(10) | Carrier’s own service code, used when rating and labeling through the carrier API. |
| methodmarkupflatmoney | string(4dp) | Stored as decimal(12,4). |
| saturdaydelivery | string(1) | Y when the service delivers on Saturday. |
| allowonpointofsaleorders | boolean | True offers the shipping method on Point of Sale orders. |
| externalid | string(100) | Your own key. Scoped to your company. |
| carrierid | integer | Reference to carriers, by id. Write either this or carrier. |
| carrier | string(100) | Code for the referenced carrier, instead of the id. |
curl -X POST \ 'https://acme.nolapro.com/!/api/v2/carrierservices/batch' \ -H 'Authorization: Bearer $NP_TOKEN' \ -H 'Content-Type: application/json' \ -H 'Idempotency-Key: your-unique-key' \ -d '[ { "description": "Example description", "abbreviation": "Example abbreviation", "sortorder": 1, "not_on_b2b": 1, "onquote": 1, "box1_charge": "125.0000" } ]'
$ch = curl_init('https://acme.nolapro.com/!/api/v2/carrierservices/batch'); curl_setopt_array($ch, [ CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('NP_TOKEN')], CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_POSTFIELDS => json_encode([ [ 'description' => 'Example description', 'abbreviation' => 'Example abbreviation', 'sortorder' => 1, 'not_on_b2b' => 1, 'onquote' => 1, 'box1_charge' => '125.0000', ], ]), ]); $res = json_decode(curl_exec($ch), true);
import os, requests r = requests.post( "https://acme.nolapro.com/!/api/v2/carrierservices/batch", headers={"Authorization": f"Bearer {os.environ['NP_TOKEN']}"}, json=[ { "description": "Example description", "abbreviation": "Example abbreviation", "sortorder": 1, "not_on_b2b": 1, "onquote": 1, "box1_charge": "125.0000", }, ], ) r.raise_for_status()
const res = await fetch( 'https://acme.nolapro.com/!/api/v2/carrierservices/batch', { method: 'POST', headers: { Authorization: `Bearer ${process.env.NP_TOKEN}` }, body: JSON.stringify([ { description: "Example description", abbreviation: "Example abbreviation", sortorder: 1, not_on_b2b: 1, onquote: 1, box1_charge: "125.0000", }, ]), } ); const data = await res.json();
using System.Net.Http.Json; var token = Environment.GetEnvironmentVariable("NP_TOKEN"); using var http = new HttpClient(); http.DefaultRequestHeaders.Add("Authorization", "Bearer " + token); var body = new[] { new { description = "Example description", abbreviation = "Example abbreviation", sortorder = 1, not_on_b2b = 1, onquote = 1, box1_charge = "125.0000", }, }; var req = new HttpRequestMessage(HttpMethod.Post, "https://acme.nolapro.com/!/api/v2/carrierservices/batch") { Content = JsonContent.Create(body), }; req.Headers.Add("Idempotency-Key", "your-unique-key"); var res = await http.SendAsync(req); res.EnsureSuccessStatusCode();
GET/carrierservices
200403
List carrier services.
Requires scope setup:read.
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| code | query | string | code. Partial match, case-insensitive. |
| description | query | string | Partial match, case insensitive. |
| externalid | query | string | Exact match on your own key. |
| include | query | string | Comma-separated extras to embed. Only custom_fields is available: the extra fields this install has defined on the record. Off by default, and an unrecognised value is refused rather than ignored. See Conventions. |
When it fails
| Status | Code | Meaning |
|---|---|---|
| 403 | insufficient_scope | Token lacks read scope. |
curl \ 'https://acme.nolapro.com/!/api/v2/carrierservices' \ -H 'Authorization: Bearer $NP_TOKEN'
$ch = curl_init('https://acme.nolapro.com/!/api/v2/carrierservices'); curl_setopt_array($ch, [ CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('NP_TOKEN')], CURLOPT_RETURNTRANSFER => true, ]); $res = json_decode(curl_exec($ch), true);
import os, requests r = requests.get( "https://acme.nolapro.com/!/api/v2/carrierservices", headers={"Authorization": f"Bearer {os.environ['NP_TOKEN']}"}, ) r.raise_for_status()
const res = await fetch( 'https://acme.nolapro.com/!/api/v2/carrierservices', { method: 'GET', headers: { Authorization: `Bearer ${process.env.NP_TOKEN}` }, } ); const data = await res.json();
using System.Net.Http.Json; var token = Environment.GetEnvironmentVariable("NP_TOKEN"); using var http = new HttpClient(); http.DefaultRequestHeaders.Add("Authorization", "Bearer " + token); var res = await http.GetAsync( "https://acme.nolapro.com/!/api/v2/carrierservices"); res.EnsureSuccessStatusCode();
POST/carrierservices
201400
Create.
Requires scope setup:write.
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
Body
| Field | Type | Description |
|---|---|---|
| description | string(50) | Name of the shipping method shown on documents and pickers. |
| abbreviation | string(50) | Short abbreviation of the shipping method. |
| sortorder | integer | Display order. Lower sorts first. |
| not_on_b2b | integer | 1 hides the shipping method from the B2B portal. |
| onquote | integer | 1 hides the shipping method from quote entry (the screen option is named Do Not Show On Quote Entry). |
| box1_chargemoney | string(5dp) | Stored as decimal(19,5). |
| box_addlmoney | string(5dp) | Stored as decimal(19,5). |
| require_shippernum | integer | 1 requires the customer’s shipper (carrier account) number when this method is chosen. |
| showvalue | integer | 1 prints the order value on the order ticket for this method. |
| code | string(10) | Carrier’s own service code, used when rating and labeling through the carrier API. |
| methodmarkupflatmoney | string(4dp) | Stored as decimal(12,4). |
| saturdaydelivery | string(1) | Y when the service delivers on Saturday. |
| allowonpointofsaleorders | boolean | True offers the shipping method on Point of Sale orders. |
| externalid | string(100) | Your own key. Scoped to your company. |
| carrierid | integer | Reference to carriers, by id. Write either this or carrier. |
| carrier | string(100) | Code for the referenced carrier, instead of the id. |
When it fails
| Status | Code | Meaning |
|---|---|---|
| 400 | invalid_request | A required field was missing. |
curl -X POST \ 'https://acme.nolapro.com/!/api/v2/carrierservices' \ -H 'Authorization: Bearer $NP_TOKEN' \ -H 'Content-Type: application/json' \ -H 'Idempotency-Key: your-unique-key' \ -d '{ "description": "Example description", "abbreviation": "Example abbreviation", "sortorder": 1, "not_on_b2b": 1, "onquote": 1, "box1_charge": "125.0000" }'
$ch = curl_init('https://acme.nolapro.com/!/api/v2/carrierservices'); curl_setopt_array($ch, [ CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('NP_TOKEN')], CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_POSTFIELDS => json_encode([ 'description' => 'Example description', 'abbreviation' => 'Example abbreviation', 'sortorder' => 1, 'not_on_b2b' => 1, 'onquote' => 1, 'box1_charge' => '125.0000', ]), ]); $res = json_decode(curl_exec($ch), true);
import os, requests r = requests.post( "https://acme.nolapro.com/!/api/v2/carrierservices", headers={"Authorization": f"Bearer {os.environ['NP_TOKEN']}"}, json={ "description": "Example description", "abbreviation": "Example abbreviation", "sortorder": 1, "not_on_b2b": 1, "onquote": 1, "box1_charge": "125.0000", }, ) r.raise_for_status()
const res = await fetch( 'https://acme.nolapro.com/!/api/v2/carrierservices', { method: 'POST', headers: { Authorization: `Bearer ${process.env.NP_TOKEN}` }, body: JSON.stringify({ description: "Example description", abbreviation: "Example abbreviation", sortorder: 1, not_on_b2b: 1, onquote: 1, box1_charge: "125.0000", }), } ); const data = await res.json();
using System.Net.Http.Json; var token = Environment.GetEnvironmentVariable("NP_TOKEN"); using var http = new HttpClient(); http.DefaultRequestHeaders.Add("Authorization", "Bearer " + token); var body = new { description = "Example description", abbreviation = "Example abbreviation", sortorder = 1, not_on_b2b = 1, onquote = 1, box1_charge = "125.0000", }; var req = new HttpRequestMessage(HttpMethod.Post, "https://acme.nolapro.com/!/api/v2/carrierservices") { Content = JsonContent.Create(body), }; req.Headers.Add("Idempotency-Key", "your-unique-key"); var res = await http.SendAsync(req); res.EnsureSuccessStatusCode();
Response 201
{
"carrierid": 104,
"carrier": "Example carrier",
"description": "Example description",
"abbreviation": "Example abbreviation",
"sortorder": 1,
"not_on_b2b": 1
}
GET/carrierservices/{id}
200404
Retrieve one record.
Requires scope setup:read.
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| idrequired | path | integer | The record id. |
| include | query | string | Comma-separated extras to embed. Only custom_fields is available: the extra fields this install has defined on the record. Off by default, and an unrecognised value is refused rather than ignored. See Conventions. |
When it fails
| Status | Code | Meaning |
|---|---|---|
| 404 | not_found | No record with that id. |
curl \ 'https://acme.nolapro.com/!/api/v2/carrierservices/104' \ -H 'Authorization: Bearer $NP_TOKEN'
$ch = curl_init('https://acme.nolapro.com/!/api/v2/carrierservices/104'); curl_setopt_array($ch, [ CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('NP_TOKEN')], CURLOPT_RETURNTRANSFER => true, ]); $res = json_decode(curl_exec($ch), true);
import os, requests r = requests.get( "https://acme.nolapro.com/!/api/v2/carrierservices/104", headers={"Authorization": f"Bearer {os.environ['NP_TOKEN']}"}, ) r.raise_for_status()
const res = await fetch( 'https://acme.nolapro.com/!/api/v2/carrierservices/104', { method: 'GET', headers: { Authorization: `Bearer ${process.env.NP_TOKEN}` }, } ); const data = await res.json();
using System.Net.Http.Json; var token = Environment.GetEnvironmentVariable("NP_TOKEN"); using var http = new HttpClient(); http.DefaultRequestHeaders.Add("Authorization", "Bearer " + token); var res = await http.GetAsync( "https://acme.nolapro.com/!/api/v2/carrierservices/104"); res.EnsureSuccessStatusCode();
Response 200
{
"carrierid": 104,
"carrier": "Example carrier",
"description": "Example description",
"abbreviation": "Example abbreviation",
"sortorder": 1,
"not_on_b2b": 1
}
PATCH/carrierservices/{id}
200404
Update.
Requires scope setup:write.
Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| idrequired | path | integer | The record id. |
Body
| Field | Type | Description |
|---|---|---|
| idread-only | integer | NolaPro id. |
| carrierid | integer | Reference to carriers, by id. Write either this or carrier. |
| carrier | string(100) | Code for the referenced carrier, instead of the id. |
| description | string(50) | Name of the shipping method shown on documents and pickers. |
| abbreviation | string(50) | Short abbreviation of the shipping method. |
| sortorder | integer | Display order. Lower sorts first. |
| not_on_b2b | integer | 1 hides the shipping method from the B2B portal. |
| onquote | integer | 1 hides the shipping method from quote entry (the screen option is named Do Not Show On Quote Entry). |
| box1_chargemoney | string(5dp) | Stored as decimal(19,5). |
| box_addlmoney | string(5dp) | Stored as decimal(19,5). |
| require_shippernum | integer | 1 requires the customer’s shipper (carrier account) number when this method is chosen. |
| showvalue | integer | 1 prints the order value on the order ticket for this method. |
| code | string(10) | Carrier’s own service code, used when rating and labeling through the carrier API. |
| methodmarkupflatmoney | string(4dp) | Stored as decimal(12,4). |
| saturdaydelivery | string(1) | Y when the service delivers on Saturday. |
| allowonpointofsaleorders | boolean | True offers the shipping method on Point of Sale orders. |
| externalid | string(100) | Your own key. Scoped to your company. |
When it fails
| Status | Code | Meaning |
|---|---|---|
| 404 | not_found | No record with that id. |
curl -X PATCH \ 'https://acme.nolapro.com/!/api/v2/carrierservices/104' \ -H 'Authorization: Bearer $NP_TOKEN' \ -H 'Content-Type: application/json' \ -H 'Idempotency-Key: your-unique-key' \ -d '{ "carrierid": 104, "carrier": "Example carrier", "description": "Example description", "abbreviation": "Example abbreviation", "sortorder": 1, "not_on_b2b": 1 }'
$ch = curl_init('https://acme.nolapro.com/!/api/v2/carrierservices/104'); curl_setopt_array($ch, [ CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('NP_TOKEN')], CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => 'PATCH', CURLOPT_POSTFIELDS => json_encode([ 'carrierid' => 104, 'carrier' => 'Example carrier', 'description' => 'Example description', 'abbreviation' => 'Example abbreviation', 'sortorder' => 1, 'not_on_b2b' => 1, ]), ]); $res = json_decode(curl_exec($ch), true);
import os, requests r = requests.patch( "https://acme.nolapro.com/!/api/v2/carrierservices/104", headers={"Authorization": f"Bearer {os.environ['NP_TOKEN']}"}, json={ "carrierid": 104, "carrier": "Example carrier", "description": "Example description", "abbreviation": "Example abbreviation", "sortorder": 1, "not_on_b2b": 1, }, ) r.raise_for_status()
const res = await fetch( 'https://acme.nolapro.com/!/api/v2/carrierservices/104', { method: 'PATCH', headers: { Authorization: `Bearer ${process.env.NP_TOKEN}` }, body: JSON.stringify({ carrierid: 104, carrier: "Example carrier", description: "Example description", abbreviation: "Example abbreviation", sortorder: 1, not_on_b2b: 1, }), } ); const data = await res.json();
using System.Net.Http.Json; var token = Environment.GetEnvironmentVariable("NP_TOKEN"); using var http = new HttpClient(); http.DefaultRequestHeaders.Add("Authorization", "Bearer " + token); var body = new { carrierid = 104, carrier = "Example carrier", description = "Example description", abbreviation = "Example abbreviation", sortorder = 1, not_on_b2b = 1, }; var req = new HttpRequestMessage(HttpMethod.Patch, "https://acme.nolapro.com/!/api/v2/carrierservices/104") { Content = JsonContent.Create(body), }; req.Headers.Add("Idempotency-Key", "your-unique-key"); var res = await http.SendAsync(req); res.EnsureSuccessStatusCode();
Response 200
{
"carrierid": 104,
"carrier": "Example carrier",
"description": "Example description",
"abbreviation": "Example abbreviation",
"sortorder": 1,
"not_on_b2b": 1
}